Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jde.debugger
Class GeneralCommands

    java.lang.Object
      |
      +--jde.debugger.ApplicationCommands
            |
            +--jde.debugger.GeneralCommands

All Implemented Interfaces:
  Protocol

public class GeneralCommands
extends ApplicationCommands

GeneralCommands.java

Handles general commands. Jump to '`get_object`', '`get_loaded_classes`', '`get_path_information`', '`trace_classes`', '`cancel_trace_classes`', '`trace_methods`', '`cancel_trace_methods`'

Created: Fri Jul 30 16:29:00 1999

Since:
  0.1
Author:
  Amit Kumar

Fields inherited from class jde.debugger.ApplicationCommands
`app, identifiableEventRequests, store`

Fields inherited from interface jde.debugger.Protocol
`ATTACH_SHMEM, ATTACH_SOCKET, BR, BREAK, CANCEL_TRACE_CLASSES, CANCEL_TRACE_METHODS, CANCEL_TRACE_THREADS, CLEAR, COMMAND_ERROR, COMMAND_RESULT, CONNECTED_TO_VM, DEBUG, ERROR, EVALUATE, EVENT_BREAKPOINT_HIT, EVENT_CLASS_PREPARE, EVENT_CLASS_UNLOAD, EVENT_EXCEPTION, EVENT_METHOD_ENTRY, EVENT_METHOD_EXIT, EVENT_OTHER, EVENT_STEP_COMPLETED, EVENT_THREAD_DEATH, EVENT_THREAD_START, EVENT_VM_DEATH, EVENT_VM_DISCONNECT, EVENT_VM_START, EVENT_WATCHPOINT_HIT, EVENTSET, EXIT, FINISH, GET_ARRAY, GET_LOADED_CLASSES, GET_LOCALS, GET_OBJECT, GET_OBJECT_MONITORS, GET_PATH_INFORMATION, GET_STRING, GET_THREAD, GET_THREADS, INTERRUPT, INVALID, JDE_BUG, JDE_INIT_DEBUG_SESSION, KILL_THREAD, LAUNCH, LISTEN_SHMEM, LISTEN_SOCKET, MESSAGE, QUIT, REPORT_IDS_IN_USE, RESUME, RUN, SPEC_RESOLVED, STEP, SUSPEND, TRACE_CLASSES, TRACE_EXCEPTIONS, TRACE_METHODS, TRACE_THREADS, WARNING, WATCH`

Constructor Summary
`GeneralCommands(Application a, ObjectStore s)`

Method Summary
`void` | `doCancelTraceClasses(java.lang.Integer cmd_id, java.util.List args)` 'cancel_trace_classes' command.
`void` | `doCancelTraceMethods(java.lang.Integer cmd_id, java.util.List args)` 'cancel_trace_methods' command.
`void` | `doFinish(java.lang.Integer cmd_id, java.util.List args)` 'finish' command.
`void` | `doGetLoadedClasses(java.lang.Integer cmd_id, java.util.List args)` 'get_loaded_classes' command.
`void` | `doGetObject(java.lang.Integer cmd_id, java.util.List args)` 'get_object' command.
`void` | `doGetPathInformation(java.lang.Integer cmd_id, java.util.List args)` 'get_path_information' command.
`void` | `doTraceClasses(java.lang.Integer cmd_id, java.util.List args)` 'trace_classes' command.
`void` | `doTraceMethods(java.lang.Integer cmd_id, java.util.List args)` 'trace_methods' command.

Methods inherited from class jde.debugger.ApplicationCommands
`addIdentifiableRequest, deleteIdentifiableRequest`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### GeneralCommands

    public GeneralCommands(Application a,
                           ObjectStore s)

Method Detail

### doFinish

    public void doFinish(java.lang.Integer cmd_id,
                         java.util.List args)

  'finish' command.

  Syntax:

       finish

  Comments:
  - if multiple VMs are being debugged, this command will kill the one corresponding to app_id, retaining others.

### doTraceClasses

    public void doTraceClasses(java.lang.Integer cmd_id,
                               java.util.List args)
                        throws JDEException

  'trace_classes' command.

  Syntax:

       trace_classes type
            [suspend-policy]
            [class-filters]
            [class-exclusion-filters]

  Returns:

       (jde-dbo-command-result cmd_id requestID)

  Comments:
  - type is either "preparation" or "unloading"
  - use requestID to cancel the trace request.

  See Also:
    `EventHandler.classPrepareEvent(ClassPrepareEvent)`, `EventHandler.classUnloadEvent(ClassUnloadEvent)`

### doCancelTraceClasses

    public void doCancelTraceClasses(java.lang.Integer cmd_id,
                                     java.util.List args)
                              throws JDEException

  'cancel_trace_classes' command.

  Syntax:

       cancel_trace_classes requestID

  Comments:
  - requestID is returned in the trace classes reply

### doTraceMethods

    public void doTraceMethods(java.lang.Integer cmd_id,
                               java.util.List args)
                        throws JDEException

  'trace_methods' command.

  Syntax:

       trace_methods type
            [thread-restriction]
            [suspend-policy]
            [class-filters]
            [class-exclusion-filters]

  Returns:

       (jde-dbo-command-result cmd_id requestID)

  Comments:
  - type is either "entry" or "exit"
  - Use requestID to cancel the trace request.

  See Also:
    `EventHandler.methodEntryEvent(MethodEntryEvent)`, `EventHandler.methodExitEvent(MethodExitEvent)`

### doCancelTraceMethods

    public void doCancelTraceMethods(java.lang.Integer cmd_id,
                                     java.util.List args)
                              throws JDEException

  'cancel_trace_methods' command.

  Syntax:

       cancel_trace_methods requestID

  Comments:
  - requestID is returned in the trace methods reply

### doGetObject

    public void doGetObject(java.lang.Integer cmd_id,
                            java.util.List args)
                     throws JDEException

  'get_object' command. Information about a particular object.

  Syntax:

       get_object objectID

  Returns:

       (jde-dbo-command-result cmd_id detailed-object-info)

### doGetLoadedClasses

    public void doGetLoadedClasses(java.lang.Integer cmd_id,
                                   java.util.List args)
                            throws JDEException

  'get_loaded_classes' command. Returns a list of all loaded classes

  Syntax:

       get_loaded_classes

  Returns:

       (jde-dbo-command-result cmd_id (list ["type-name"]*))

### doGetPathInformation

    public void doGetPathInformation(java.lang.Integer cmd_id,
                                     java.util.List args)
                              throws JDEException

  'get_path_information' command. Returns all the vm knows about paths.

  Syntax:

       get_path_information

  Returns:

       (jde-dbo-command-result cmd_id "base-directory" (list [boot-class-path component]*) (list [class-path component]*))

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD